<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/transparent"
        android:theme="@style/AppTheme.AppBarOverlay">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?android:attr/actionBarSize"
            android:background="@color/btn_bg_color"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            app:popupTheme="@style/AppTheme.PopupOverlay">

            <TextView
                android:id="@+id/title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:ellipsize="marquee"
                android:marqueeRepeatLimit="marquee_forever"
                android:singleLine="true"
                android:scrollHorizontally="true"
                android:text="Crop Image"
                android:textColor="@color/material_white"
                android:textSize="@dimen/textSize" />

        </androidx.appcompat.widget.Toolbar>
    </com.google.android.material.appbar.AppBarLayout>

    <com.ttiglobal.inttilectgpchat.cropview.CropImageView
        android:id="@+id/cropImageView"
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_weight="1"
        app:scv_background_color="#1C1C1C"
        app:scv_crop_mode="fit_image"
        app:scv_frame_color="@color/btn_bg_color"
        app:scv_frame_stroke_weight="1dp"
        app:scv_guide_color="@color/btn_bg_color"
        app:scv_guide_show_mode="show_always"
        app:scv_guide_stroke_weight="1dp"
        app:scv_handle_color="#2f6aac"
        app:scv_handle_show_mode="show_always"
        app:scv_handle_size="14dp"
        app:scv_min_frame_size="50dp"
        app:scv_overlay_color="#801C1C1C"
        app:scv_touch_padding="8dp" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/btn_bg_color"
        android:orientation="horizontal">

        <ImageButton
            android:id="@+id/buttonPickImage"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_marginRight="16dp"
            android:background="?android:attr/selectableItemBackgroundBorderless"
            android:contentDescription="@string/app_name"
            android:padding="16dp"
            android:src="@drawable/ic_photo_library_black_24dp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:orientation="horizontal">

            <ImageButton
                android:id="@+id/buttonRotateLeft"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="?android:attr/selectableItemBackgroundBorderless"
                android:contentDescription="@string/app_name"
                android:padding="16dp"
                android:src="@drawable/ic_rotate_left_black_24dp" />

            <ImageButton
                android:id="@+id/buttonRotateRight"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="?android:attr/selectableItemBackgroundBorderless"
                android:contentDescription="@string/app_name"
                android:padding="16dp"
                android:src="@drawable/ic_rotate_right_black_24dp" />

        </LinearLayout>

        <ImageButton
            android:id="@+id/buttonDone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:background="?android:attr/selectableItemBackgroundBorderless"
            android:contentDescription="@string/app_name"
            android:padding="16dp"
            android:src="@drawable/ic_done_black_24dp" />
    </RelativeLayout>
</LinearLayout>